<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>C-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: C">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#chat()" class="member-name-link">chat()</a> - Method in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>
<div class="block">Chat string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/package-summary.html">com.eoi.springwebsecurity</a> - package com.eoi.springwebsecurity</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/package-summary.html">com.eoi.springwebsecurity.coreapp.controllers</a> - package com.eoi.springwebsecurity.coreapp.controllers</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/dto/package-summary.html">com.eoi.springwebsecurity.coreapp.dto</a> - package com.eoi.springwebsecurity.coreapp.dto</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/package-summary.html">com.eoi.springwebsecurity.coreapp.entities</a> - package com.eoi.springwebsecurity.coreapp.entities</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/error/package-summary.html">com.eoi.springwebsecurity.coreapp.error</a> - package com.eoi.springwebsecurity.coreapp.error</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/repositories/package-summary.html">com.eoi.springwebsecurity.coreapp.repositories</a> - package com.eoi.springwebsecurity.coreapp.repositories</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/package-summary.html">com.eoi.springwebsecurity.filemanagement.controllers</a> - package com.eoi.springwebsecurity.filemanagement.controllers</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/entities/package-summary.html">com.eoi.springwebsecurity.filemanagement.entities</a> - package com.eoi.springwebsecurity.filemanagement.entities</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/exception/package-summary.html">com.eoi.springwebsecurity.filemanagement.exception</a> - package com.eoi.springwebsecurity.filemanagement.exception</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/package-summary.html">com.eoi.springwebsecurity.filemanagement.models</a> - package com.eoi.springwebsecurity.filemanagement.models</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/repositories/package-summary.html">com.eoi.springwebsecurity.filemanagement.repositories</a> - package com.eoi.springwebsecurity.filemanagement.repositories</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/package-summary.html">com.eoi.springwebsecurity.filemanagement.services</a> - package com.eoi.springwebsecurity.filemanagement.services</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/config/package-summary.html">com.eoi.springwebsecurity.security.config</a> - package com.eoi.springwebsecurity.security.config</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/package-summary.html">com.eoi.springwebsecurity.security.controllers</a> - package com.eoi.springwebsecurity.security.controllers</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/package-summary.html">com.eoi.springwebsecurity.security.service</a> - package com.eoi.springwebsecurity.security.service</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/package-summary.html">com.eoi.springwebsecurity.security.userdetails</a> - package com.eoi.springwebsecurity.security.userdetails</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/package-summary.html">com.eoi.springwebsecurity.streaming.controller</a> - package com.eoi.springwebsecurity.streaming.controller</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/package-summary.html">com.eoi.springwebsecurity.streaming.services</a> - package com.eoi.springwebsecurity.streaming.services</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/config/package-summary.html">com.eoi.springwebsecurity.websockets.config</a> - package com.eoi.springwebsecurity.websockets.config</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/package-summary.html">com.eoi.springwebsecurity.websockets.controllers</a> - package com.eoi.springwebsecurity.websockets.controllers</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/package-summary.html">com.eoi.springwebsecurity.websockets.messages</a> - package com.eoi.springwebsecurity.websockets.messages</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/config/WebSocketConfig.html#configureMessageBroker(org.springframework.messaging.simp.config.MessageBrokerRegistry)" class="member-name-link">configureMessageBroker(MessageBrokerRegistry)</a> - Method in class com.eoi.springwebsecurity.websockets.config.<a href="../com/eoi/springwebsecurity/websockets/config/WebSocketConfig.html" title="class in com.eoi.springwebsecurity.websockets.config">WebSocketConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html#content" class="member-name-link">content</a> - Variable in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html#contextLoads()" class="member-name-link">contextLoads()</a> - Method in class com.eoi.springwebsecurity.<a href="../com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplicationTests</a></dt>
<dd>
<div class="block">Context loads.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a> - Class in <a href="../com/eoi/springwebsecurity/security/userdetails/package-summary.html">com.eoi.springwebsecurity.security.userdetails</a></dt>
<dd>
<div class="block">The type Custom user details.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.util.Collection)" class="member-name-link">CustomUserDetails(String, String, String, Collection&lt;? extends GrantedAuthority&gt;)</a> - Constructor for class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Instantiates a new Custom user details.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
